<template>
  <div>
    <div class="common contacts mt-100">
      <div class="container pt-54 pb-54">
        <div class="row">
          <div class="col-12">
            <div class="d-flex align-items-center mb-48 page-titles">
              <svg
                width="34"
                height="34"
                viewBox="0 0 34 34"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M4.9898 2.0102C7.08756 -0.0875645 10.5569 0.159002 12.337 2.53234L15.2916 6.47193C16.7473 8.41277 16.5543 11.1286 14.8388 12.8441L12.6604 15.0225C12.8715 15.572 13.5665 16.7779 15.6829 18.8943C17.7993 21.0107 19.0052 21.7057 19.5547 21.9168L21.7331 19.7384C23.4486 18.0229 26.1644 17.8299 28.1052 19.2855L32.0448 22.2402C34.4182 24.0202 34.6647 27.4896 32.567 29.5874C31.885 30.2694 31.7696 30.3848 30.6314 31.5229C29.4715 32.6829 27.0085 33.767 24.515 33.8754C20.6128 34.0451 15.3124 32.3124 8.78858 25.7886C2.26474 19.2647 0.53206 13.9644 0.701718 10.0622C0.796096 7.89153 1.48622 5.50744 3.06334 3.95482C4.19239 2.80761 4.33922 2.66078 4.9898 2.0102ZM3.94865 10.2034C3.83105 12.9083 4.97099 17.3748 11.0867 23.4905C17.2024 29.6062 21.6689 30.7461 24.3738 30.6285C26.8988 30.5187 28.2534 29.2986 28.3333 29.2248L30.2689 27.2893C30.9681 26.59 30.8859 25.4335 30.0948 24.8402L26.1552 21.8855C25.5083 21.4003 24.603 21.4646 24.0312 22.0365C23.1696 22.898 22.5815 23.4948 21.4303 24.6417C19.0389 27.0241 14.9454 22.753 13.3848 21.1924C11.9506 19.7582 7.57988 15.5347 9.93312 13.1536C9.93778 13.1489 10.5716 12.5151 12.5407 10.546C13.1125 9.97416 13.1769 9.06888 12.6916 8.42193L9.73695 4.48234C9.14362 3.69123 7.98715 3.60904 7.2879 4.30829C6.64432 4.95188 5.91596 5.68023 5.3543 6.24578C4.19833 7.40974 4.01051 8.78053 3.94865 10.2034Z"
                  fill="white"
                />
              </svg>
              <h2 class="ml-18">Contacts</h2>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12 col-lg-5">
            <div class="contact-card pt-28 pb-28 pr-24 pl-24">
              <div v-show="sent === false">
                <h5 class="mb-8">Let’s talk</h5>
                <p class="mb-24">
                  To request a quote or want to discuss about order, contact us
                  directly or fill out the form and we will get back to you
                </p>
                <div
                  class="relative mb-24"
                  :class="{ hasError: $v.form.name.$anyError }"
                >
                  <svg
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M12 13C8.13401 13 5 16.134 5 20V22C5 22.5523 4.55228 23 4 23C3.44772 23 3 22.5523 3 22V20C3 15.0294 7.02944 11 12 11C16.9706 11 21 15.0294 21 20V22C21 22.5523 20.5523 23 20 23C19.4477 23 19 22.5523 19 22V20C19 16.134 15.866 13 12 13Z"
                      fill="#28293A"
                    />
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M12 11C14.2091 11 16 9.20914 16 7C16 4.79086 14.2091 3 12 3C9.79086 3 8 4.79086 8 7C8 9.20914 9.79086 11 12 11ZM12 13C15.3137 13 18 10.3137 18 7C18 3.68629 15.3137 1 12 1C8.68629 1 6 3.68629 6 7C6 10.3137 8.68629 13 12 13Z"
                      fill="#28293A"
                    />
                  </svg>
                  <el-input
                    placeholder="How can we call you?"
                    v-model="form.name"
                  ></el-input>
                  <p :class="$v.form.name.$anyError ? 'd-block' : 'd-none'">
                    *Please enter your name
                  </p>
                </div>
                <div
                  class="relative mb-20"
                  :class="{
                    hasError: $v.form.phone.$anyError,
                  }"
                  v-mask="'(###) ### ## ##'"
                >
                  <svg
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M6.4949 3.5051C7.54378 2.45622 9.27847 2.5795 10.1685 3.76617L11.6458 5.73597C12.3736 6.70638 12.2771 8.0643 11.4194 8.92204L10.3302 10.0112C10.4357 10.286 10.7832 10.8889 11.8414 11.9471C12.8996 13.0053 13.5026 13.3528 13.7773 13.4584L14.8665 12.3692C15.7243 11.5114 17.0822 11.4149 18.0526 12.1428L20.0224 13.6201C21.2091 14.5101 21.3324 16.2448 20.2835 17.2937C19.9425 17.6347 19.8848 17.6924 19.3157 18.2615C18.7357 18.8414 17.5043 19.3835 16.2575 19.4377C14.3064 19.5226 11.6562 18.6562 8.39429 15.3943C5.13237 12.1324 4.26603 9.48218 4.35086 7.53111C4.39805 6.44577 4.74311 5.25372 5.53167 4.47741C6.09619 3.90381 6.16961 3.83039 6.4949 3.5051ZM5.97433 7.60169C5.91552 8.95413 6.4855 11.1874 9.54334 14.2452C12.6012 17.3031 14.8344 17.8731 16.1869 17.8143C17.4494 17.7594 18.1267 17.1493 18.1667 17.1124L19.1344 16.1446C19.4841 15.795 19.443 15.2168 19.0474 14.9201L17.0776 13.4428C16.7541 13.2002 16.3015 13.2323 16.0156 13.5182C15.5848 13.949 15.2908 14.2474 14.7151 14.8209C13.5195 16.012 11.4727 13.8765 10.6924 13.0962C9.97529 12.3791 7.78994 10.2674 8.96656 9.07678C8.96889 9.07445 9.28581 8.75753 10.2703 7.77299C10.5563 7.48708 10.5884 7.03444 10.3458 6.71097L8.86848 4.74117C8.57181 4.34561 7.99358 4.30452 7.64395 4.65415C7.32216 4.97594 6.95798 5.34012 6.67715 5.62289C6.09916 6.20487 6.00526 6.89027 5.97433 7.60169Z"
                      fill="#28293A"
                    />
                  </svg>

                  <el-input
                    placeholder="Your phone number"
                    v-mask="'(###) ### ## ##'"
                    v-model="form.phone"
                  ></el-input>
                  <p :class="$v.form.phone.$anyError ? 'd-block' : 'd-none'">
                    *Please enter phone number
                  </p>
                </div>

                <div
                  class="relative mb-20"
                  :class="{
                    hasError: $v.form.email.$anyError,
                  }"
                >
                  <svg
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M4.8 12C4.8 8.02355 8.02355 4.8 12 4.8C15.9765 4.8 19.2 8.02355 19.2 12C19.2 12.2199 19.1961 12.9908 18.9649 13.6841C18.8509 14.0262 18.7019 14.2849 18.529 14.4501C18.3775 14.5948 18.1774 14.7 17.85 14.7C17.4866 14.7 17.3118 14.6003 17.1926 14.4784C17.0428 14.3254 16.8828 14.0332 16.7589 13.488C16.5056 12.3735 16.5 10.6978 16.5 8.4C16.5 7.90294 16.0971 7.5 15.6 7.5C15.1031 7.5 14.7002 7.90277 14.7 8.39968C13.9479 7.83475 13.013 7.5 12 7.5C9.51472 7.5 7.5 9.51472 7.5 12C7.5 14.4853 9.51472 16.5 12 16.5C13.3443 16.5 14.5509 15.9105 15.3755 14.976C15.5142 15.2558 15.6874 15.5139 15.9059 15.7372C16.4195 16.2622 17.0884 16.5 17.85 16.5C18.6476 16.5 19.2912 16.2114 19.7726 15.7515C20.2325 15.312 20.5053 14.755 20.6726 14.2534C21.0002 13.2703 21 12.2531 21 12.008V12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C13.4352 21 14.7944 20.6634 16.0005 20.064C16.4457 19.8428 16.6272 19.3026 16.406 18.8575C16.1848 18.4124 15.6446 18.2309 15.1995 18.4521C14.2367 18.9305 13.1511 19.2 12 19.2C8.02355 19.2 4.8 15.9764 4.8 12ZM14.7 12C14.7 13.4912 13.4912 14.7 12 14.7C10.5088 14.7 9.3 13.4912 9.3 12C9.3 10.5088 10.5088 9.3 12 9.3C13.4912 9.3 14.7 10.5088 14.7 12Z"
                      fill="#28293A"
                    />
                  </svg>

                  <el-input
                    placeholder="Your Email address"
                    v-model="form.email"
                  ></el-input>
                  <p :class="$v.form.email.$anyError ? 'd-block' : 'd-none'">
                    *Please enter a valid email address!
                  </p>
                </div>
                <div
                  class="relative"
                  :class="{
                    hasError: $v.form.message.$anyError,
                  }"
                >
                  <svg
                    width="24"
                    height="24"
                    viewBox="0 0 24 24"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M20 5H4C3.44772 5 3 5.44772 3 6V18C3 18.5523 3.44772 19 4 19H20C20.5523 19 21 18.5523 21 18V6C21 5.44772 20.5523 5 20 5ZM4 3C2.34315 3 1 4.34315 1 6V18C1 19.6569 2.34315 21 4 21H20C21.6569 21 23 19.6569 23 18V6C23 4.34315 21.6569 3 20 3H4Z"
                      fill="#28293A"
                    />
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M5.23177 7.35982C5.58534 6.93554 6.2159 6.87822 6.64018 7.23178L11.3598 11.1648C11.7307 11.4738 12.2693 11.4738 12.6402 11.1648L17.3598 7.23178C17.7841 6.87822 18.4147 6.93554 18.7682 7.35982C19.1218 7.78409 19.0645 8.41466 18.6402 8.76822L13.9205 12.7012C12.808 13.6284 11.192 13.6284 10.0794 12.7013L5.35981 8.76822C4.93553 8.41466 4.87821 7.78409 5.23177 7.35982Z"
                      fill="#28293A"
                    />
                  </svg>
                  <el-input
                    type="textarea"
                    :autosize="{ minRows: 3, maxRows: 8 }"
                    placeholder="Please input"
                    v-model="form.message"
                  >
                  </el-input>
                  <p :class="$v.form.name.$anyError ? 'd-block' : 'd-none'">
                    *Please enter message
                  </p>
                </div>

                <el-checkbox
                  class="whitespace-pre-line contact-form d-flex align-items-center mb-24"
                  v-model="clientAgreement"
                  :class="{ 'has-error': checkboxError }"
                  ><span>
                  *By checking this box, I consent to receive marketing text messages sent through an automatic telephone dialing system at the phone number provided. I verify that the phone number I have provided is my own. I understand that I do not need to consent to make a purchase. I understand that standard message and data rates may apply, and that I can text STOP to end all messages.
                  </span></el-checkbox
                >

                <button class="dark-btn pt-12 pb-12" @click="send">SEND</button>
              </div>
              <div v-show="sent === true">
                <h5 class="mb-8">We got your message</h5>
                <p class="mb-24">
                  Responsible agent will contact you within 1 hour.
                </p>
                <img
                  class="img-fluid"
                  src="/images/call-you.png"
                  alt="Trucking pics"
                />
              </div>
            </div>
          </div>
          <div class="offset-lg-1 col-12 col-lg-6 text-center">
            <div class="mb-67">
              <img
                class="img-fluid d-none d-lg-block"
                src="images/contact.svg"
                alt=""
              />
            </div>
            <div class="text-left company-info">
              <div>
                <a
                  target="_blank"
                  href="https://goo.gl/maps/4uwsbsptu57L2UX66"
                  class="text-left mb-12"
                >
                  <svg
                    class="mr-8"
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M22.1887 21.6593C24.0564 19.0668 25.3333 16.2174 25.3333 13.3333C25.3333 8.17868 21.1547 4 16 4C10.8453 4 6.66667 8.17868 6.66667 13.3333C6.66667 16.2174 7.94359 19.0668 9.81129 21.6593C11.6649 24.2323 13.9442 26.3337 15.5692 27.6646C15.8357 27.883 16.1643 27.883 16.4308 27.6646C18.0558 26.3337 20.3351 24.2323 22.1887 21.6593ZM18.1205 29.7277C21.5662 26.9055 28 20.6556 28 13.3333C28 6.70592 22.6274 1.33334 16 1.33334C9.37258 1.33334 4 6.70592 4 13.3333C4 20.6556 10.4338 26.9055 13.8795 29.7277C15.1287 30.7508 16.8713 30.7508 18.1205 29.7277Z"
                      fill="white"
                    />
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M16 10.6667C14.5272 10.6667 13.3333 11.8606 13.3333 13.3333C13.3333 14.8061 14.5272 16 16 16C17.4728 16 18.6667 14.8061 18.6667 13.3333C18.6667 11.8606 17.4728 10.6667 16 10.6667ZM10.6667 13.3333C10.6667 10.3878 13.0545 8 16 8C18.9455 8 21.3333 10.3878 21.3333 13.3333C21.3333 16.2789 18.9455 18.6667 16 18.6667C13.0545 18.6667 10.6667 16.2789 10.6667 13.3333Z"
                      fill="white"
                    />
                  </svg>
                  9111 Cross Park Dr D200 #1013, Knoxville, TN 37923, United
                  States
                </a>
              </div>
              <div>
                <a
                  href="mailto: usstartruckingllc@gmail.com"
                  class="text-left mb-12"
                >
                  <svg
                    class="mr-8"
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M26.1818 7.54545H5.81818C5.11527 7.54545 4.54545 8.11527 4.54545 8.81818V24.0909C4.54545 24.7938 5.11527 25.3636 5.81818 25.3636H26.1818C26.8847 25.3636 27.4545 24.7938 27.4545 24.0909V8.81818C27.4545 8.11527 26.8847 7.54545 26.1818 7.54545ZM5.81818 5C3.70946 5 2 6.70946 2 8.81818V24.0909C2 26.1996 3.70946 27.9091 5.81818 27.9091H26.1818C28.2905 27.9091 30 26.1996 30 24.0909V8.81818C30 6.70946 28.2905 5 26.1818 5H5.81818Z"
                      fill="white"
                    />
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M7.38593 10.5489C7.83593 10.0089 8.63846 9.93591 9.17845 10.3859L15.1853 15.3916C15.6572 15.7849 16.3428 15.7849 16.8148 15.3916L22.8216 10.3859C23.3616 9.93591 24.1641 10.0089 24.6141 10.5489C25.0641 11.0888 24.9912 11.8914 24.4512 12.3414L18.4444 17.347C17.0284 18.527 14.9717 18.527 13.5557 17.347L7.54889 12.3414C7.0089 11.8914 6.93594 11.0888 7.38593 10.5489Z"
                      fill="white"
                    />
                  </svg>
                  usstartruckingllc@gmail.com
                </a>
              </div>
              <div>
                <a href="tel:(865) 312-6670" class="text-left mb-12">
                  <svg
                    class="mr-8"
                    width="32"
                    height="32"
                    viewBox="0 0 32 32"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      fill-rule="evenodd"
                      clip-rule="evenodd"
                      d="M8.17217 3.82783C9.67825 2.32175 12.1691 2.49877 13.447 4.20271L15.5684 7.03113C16.6134 8.42455 16.4749 10.3744 15.2432 11.606L13.6792 13.17C13.8308 13.5645 14.3298 14.4303 15.8492 15.9497C17.3687 17.4692 18.2345 17.9682 18.629 18.1197L20.193 16.5558C21.4246 15.3241 23.3744 15.1856 24.7679 16.2306L27.5963 18.3519C29.3002 19.6299 29.4772 22.1207 27.9712 23.6268C27.4815 24.1165 27.3987 24.1993 26.5815 25.0165C25.7487 25.8492 23.9805 26.6276 22.1902 26.7054C19.3887 26.8273 15.5833 25.5833 10.8995 20.8995C6.21571 16.2157 4.97174 12.4103 5.09354 9.60877C5.1613 8.05033 5.65677 6.33867 6.78906 5.22397C7.59966 4.40034 7.70508 4.29492 8.17217 3.82783ZM7.42467 9.71012C7.34024 11.6521 8.15866 14.8588 12.5494 19.2496C16.9402 23.6403 20.1469 24.4588 22.0889 24.3743C23.9017 24.2955 24.8742 23.4195 24.9316 23.3665L26.3212 21.9769C26.8233 21.4749 26.7643 20.6446 26.1963 20.2186L23.3679 18.0973C22.9034 17.7489 22.2534 17.7951 21.8429 18.2057C21.2243 18.8242 20.8021 19.2527 19.9756 20.0761C18.2587 21.7865 15.3198 18.7201 14.1993 17.5997C13.1696 16.57 10.0317 13.5377 11.7212 11.8282C11.7246 11.8248 12.1796 11.3698 13.5933 9.95609C14.0039 9.54555 14.05 8.8956 13.7017 8.43113L11.5804 5.60271C11.1544 5.03473 10.3241 4.97572 9.82208 5.47775C9.36002 5.93981 8.8371 6.46273 8.43386 6.86876C7.60393 7.70443 7.46909 8.68859 7.42467 9.71012Z"
                      fill="white"
                    />
                  </svg>
                  (865) 312-6670
                </a>
              </div>

              <div class="socials mt-28 text-left">
                <a
                  href="https://www.instagram.com/usstartrucking"
                  target="_blank"
                >
                  <svg
                    width="28"
                    height="28"
                    viewBox="0 0 28 28"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect
                      width="28"
                      height="28"
                      rx="6"
                      fill="white"
                      fill-opacity="0.2"
                    />
                    <path
                      d="M16.625 7H11.375C8.95913 7 7 8.95913 7 11.375V16.625C7 19.0409 8.95913 21 11.375 21H16.625C19.0409 21 21 19.0409 21 16.625V11.375C21 8.95913 19.0409 7 16.625 7ZM19.6875 16.625C19.6875 18.3138 18.3138 19.6875 16.625 19.6875H11.375C9.68625 19.6875 8.3125 18.3138 8.3125 16.625V11.375C8.3125 9.68625 9.68625 8.3125 11.375 8.3125H16.625C18.3138 8.3125 19.6875 9.68625 19.6875 11.375V16.625Z"
                      fill="white"
                    />
                    <path
                      d="M14 10.5C12.0671 10.5 10.5 12.0671 10.5 14C10.5 15.9329 12.0671 17.5 14 17.5C15.9329 17.5 17.5 15.9329 17.5 14C17.5 12.0671 15.9329 10.5 14 10.5ZM14 16.1875C12.7943 16.1875 11.8125 15.2057 11.8125 14C11.8125 12.7934 12.7943 11.8125 14 11.8125C15.2057 11.8125 16.1875 12.7934 16.1875 14C16.1875 15.2057 15.2057 16.1875 14 16.1875Z"
                      fill="white"
                    />
                    <path
                      d="M17.7623 10.7047C18.0198 10.7047 18.2286 10.4959 18.2286 10.2383C18.2286 9.98074 18.0198 9.77194 17.7623 9.77194C17.5047 9.77194 17.2959 9.98074 17.2959 10.2383C17.2959 10.4959 17.5047 10.7047 17.7623 10.7047Z"
                      fill="white"
                    />
                  </svg>
                </a>
                <a
                  href="https://www.facebook.com/usstartrucking"
                  target="_blank"
                >
                  <svg
                    width="28"
                    height="28"
                    viewBox="0 0 28 28"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect
                      width="28"
                      height="28"
                      rx="6"
                      fill="white"
                      fill-opacity="0.2"
                    />
                    <path
                      d="M17.5 11.8125H14.875V10.0625C14.875 9.5795 15.267 9.1875 15.75 9.1875H16.625V7H14.875C13.4251 7 12.25 8.17513 12.25 9.625V11.8125H10.5V14H12.25V21H14.875V14H16.625L17.5 11.8125Z"
                      fill="white"
                    />
                  </svg>
                </a>
                <!-- <a href="" target="_blank">
             <svg
            width="28"
            height="28"
            viewBox="0 0 28 28"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <rect
              width="28"
              height="28"
              rx="6"
              fill="white"
              fill-opacity="0.2"
            />
            <path
              d="M21.6657 9.87759C21.4817 9.13853 20.9395 8.55647 20.2511 8.35894C19.0033 8 14 8 14 8C14 8 8.99669 8 7.7489 8.35894C7.06052 8.5565 6.51835 9.13853 6.33434 9.87759C6 11.2172 6 14.0121 6 14.0121C6 14.0121 6 16.8071 6.33434 18.1467C6.51835 18.8857 7.06052 19.4435 7.7489 19.6411C8.99669 20 14 20 14 20C14 20 19.0033 20 20.2511 19.6411C20.9395 19.4435 21.4817 18.8857 21.6657 18.1467C22 16.8071 22 14.0121 22 14.0121C22 14.0121 22 11.2172 21.6657 9.87759ZM12.3636 16.5497V11.4745L16.5454 14.0122L12.3636 16.5497Z"
              fill="white"
            />
          </svg>
          </a> -->
                <a href=" https://twitter.com/usstartrucking" target="_blank">
                  <svg
                    width="28"
                    height="28"
                    viewBox="0 0 28 28"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect
                      width="28"
                      height="28"
                      rx="6"
                      fill="white"
                      fill-opacity="0.2"
                    />
                    <path
                      d="M21 9.51374C20.4794 9.74212 19.9246 9.89349 19.3462 9.96699C19.9412 9.61174 20.3954 9.05349 20.6089 8.38061C20.0541 8.71136 19.4416 8.94499 18.7889 9.07537C18.2621 8.51449 17.5114 8.16711 16.6924 8.16711C15.1034 8.16711 13.8241 9.45687 13.8241 11.038C13.8241 11.2655 13.8434 11.4842 13.8906 11.6925C11.5045 11.5761 9.39313 10.4325 7.97475 8.69036C7.72712 9.11999 7.58188 9.61174 7.58188 10.1411C7.58188 11.1351 8.09375 12.0162 8.85675 12.5264C8.39562 12.5176 7.94325 12.3837 7.56 12.1729C7.56 12.1816 7.56 12.193 7.56 12.2044C7.56 13.5991 8.55487 14.7576 9.8595 15.0245C9.62587 15.0884 9.37125 15.119 9.107 15.119C8.92325 15.119 8.73775 15.1085 8.56362 15.07C8.9355 16.2066 9.99075 17.0422 11.2455 17.0694C10.269 17.8332 9.02912 18.2935 7.68688 18.2935C7.4515 18.2935 7.22575 18.283 7 18.2541C8.27137 19.074 9.77813 19.5421 11.403 19.5421C16.6845 19.5421 19.572 15.1671 19.572 11.3749C19.572 11.248 19.5676 11.1255 19.5615 11.0039C20.1311 10.5996 20.6097 10.0947 21 9.51374Z"
                      fill="white"
                    />
                  </svg>
                </a>
                <a
                  href=" https://www.linkedin.com/company/usstartruckingllc"
                  target="_blank"
                >
                  <svg
                    width="28"
                    height="28"
                    viewBox="0 0 28 28"
                    fill="none"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <rect
                      width="28"
                      height="28"
                      rx="6"
                      fill="white"
                      fill-opacity="0.2"
                    />
                    <path
                      d="M9.60001 22H6.2V11.3H9.60001V22ZM7.9 9.8C6.8 9.8 6 9 6 7.9C6 6.8 6.9 6 7.9 6C9 6 9.8 6.8 9.8 7.9C9.8 9 9 9.8 7.9 9.8ZM22 22H18.6V16.2C18.6 14.5 17.9 14 16.9 14C15.9 14 14.9 14.8 14.9 16.3V22H11.5V11.3H14.7V12.8C15 12.1 16.2 11 17.9 11C19.8 11 21.8 12.1 21.8 15.4V22H22Z"
                      fill="white"
                    />
                  </svg>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <us-map />
  </div>
</template>

<script>
import usMap from "../../components/us-map.vue";
import { required, email } from "vuelidate/lib/validators";

export default {
  head() {
    return {
      title: "Contact us  |  US Star Trucking LLC",
      meta: [
        // hid is used as unique identifier. Do not use `vmid` for it as it will not work
        {
          hid: "Call us",
          name: "description",
          content:
            "Call us at (865) 312-6670  or send your question using a special form on our website.",
        },
        {
          hid: "best car shipping company",
          name: "keywords",
          content:
            "auto transport company, car shipping company, car shipping companies, companies that ship cars, auto transport companies, car transport companies, best car shipping company, best company to ship a car, car moving companies, car hauling companies, auto shipping companies, vehicle transport company, vehicle transportation company",
        },
      ],
    };
  },
  components: { usMap },
  layout: "pages",

  data() {
    return {
      sent: false,
      form: {
        name: "",
        phone: "",
        email: "",
        message: "",
      },
      clientAgreement: false,
      checkboxError: false,
    };
  },

  validations: {
    form: {
      name: { required },
      phone: { required },
      email: { required, email },
      message: { required },
    },
  },

  methods: {
    send() {
      this.$v.form.$touch();
      if (this.clientAgreement === false) {
        this.checkboxError = true;
      } else {
        this.checkboxError = false;
      }
      if (!this.$v.form.$invalid && this.clientAgreement) {
        let br = document?.createElement("br");
        let message = `Customer wants to contact with us.
       Name: ${this.form.name},
       Phone Number: ${this.form.phone},
       Email: ${this.form.email},
        Message: ${this.form.message}`;

        this.$axios
          .post(
            `https://api.telegram.org/bot6203938662:AAFRYU-1vYs2s2ZUCRyaDIndRA6uObXTY38/sendMessage?chat_id=-1001700785121&text=${message}`
          )
          .finally(() => {
            this.sent = true;
          });
      }
    },
  },
};
</script>
